SLOWLORIS(1)

NAME
slowloris - Security testing tool for web servers

SYNOPSIS
slowloris [OPTION]... HOST

DESCRIPTION

Open source tool used to perform Denial of Service (DoS) attacks on web
servers. Slowloris exploits a vulnerability in web servers called “Keep-Alive”
to exhaust server resources and make them inaccessible.

USAGE
slowloris [OPTIONS] host

OPTIONS

-p, --port
    Specifies the target web server's port (default: 80).

-s, --sockets
    Specifies the number of simultaneous sockets to use (default: 100).

-v, --verbose
    Increases logging level for terminal output.

-ua, --randuseragents
    Randomizes user agents with each request.

-x, --useproxy
    Utilizes a SOCKS5 proxy for connections.

--https
    Uses the HTTPS protocol for requests.

--sleep
    Sets a sleep time interval between each header sent.

EXAMPLES

Example 1:
$ slowloris -p 80 -s 200 example.com

Example 2:
$ slowloris -x --proxy-host=proxy.example.com --proxy-port=1080 example.com

AUTHORS

Slowloris was created by: Gokberk Yaltirakli <opensource@gkbrk.com>

This manual page was written by Josenison Ferreira da Silva <nilsonfsilva@hotmail.com>
for the Debian project (but may be used by others).

BUG REPORTS
Report bugs to https://github.com/gkbrk/slowloris/issues